import { computed as $, openBlock as r, createElementBlock as _, normalizeClass as h, unref as b, createElementVNode as d, renderSlot as M, normalizeStyle as A, pushScopeId as D, popScopeId as R, ref as f, toDisplayString as m, withDirectives as z, createVNode as L, Transition as F, withCtx as E, Fragment as w, renderList as N, createCommentVNode as P, useCssVars as U, createTextVNode as j, resolveComponent as q, withModifiers as G, vShow as H, reactive as J, onMounted as K } from "vue";
const v = (e, a) => {
  const t = e.__vccOpts || e;
  for (const [l, o] of a)
    t[l] = o;
  return t;
}, Q = ["disabled"], W = {
  name: "tButton"
}, X = /* @__PURE__ */ Object.assign(W, {
  props: {
    type: {
      type: String,
      default: "default"
    },
    disabled: Boolean,
    round: Boolean
  },
  setup(e) {
    const a = e, t = $(() => [
      "t-button",
      `t-button-${a.type}`,
      a.disabled ? "t-button-disabled" : "",
      a.round ? "t-button-round" : ""
    ]);
    return (l, o) => (r(), _("button", {
      class: h(b(t)),
      disabled: e.disabled
    }, [
      d("span", null, [
        M(l.$slots, "default", {}, void 0, !0)
      ])
    ], 10, Q));
  }
}), x = /* @__PURE__ */ v(X, [["__scopeId", "data-v-a873b661"]]);
x.install = (e) => {
  e.component(x.name, x);
};
const Y = (e) => (D("data-v-3b0582cc"), e = e(), R(), e), Z = ["value", "placeholder", "disabled"], ee = /* @__PURE__ */ Y(() => /* @__PURE__ */ d("i", null, "x", -1)), te = [
  ee
], ne = {
  name: "tInput"
}, ae = /* @__PURE__ */ Object.assign(ne, {
  props: {
    modelValue: String | Number,
    placeholder: String,
    disabled: Boolean,
    clearable: Boolean
  },
  emits: ["update:modelValue"],
  setup(e, { emit: a }) {
    const t = e, l = (c) => {
      console.log(c.target.value), a("update:modelValue", c.target.value);
    }, o = $(() => [
      "t-input",
      {
        "t-input-disabled": t.disabled
      }
    ]), i = $(() => [
      {
        display: t.modelValue ? "block" : "none"
      }
    ]), p = () => {
      a("update:modelValue", "");
    };
    return (c, u) => (r(), _("div", {
      class: h(b(o))
    }, [
      d("input", {
        type: "text",
        value: e.modelValue,
        onInput: l,
        placeholder: e.placeholder,
        disabled: e.disabled
      }, null, 40, Z),
      d("span", {
        class: "clear-icon",
        style: A(b(i)),
        onClick: p
      }, te, 4)
    ], 2));
  }
}), S = /* @__PURE__ */ v(ae, [["__scopeId", "data-v-3b0582cc"]]);
S.install = (e) => {
  e.component(S.name, S);
};
const le = ["cols", "rows", "value", "disabled", "readonly", "placeholder", "maxlength"], se = { class: "max-length-inline" }, oe = {
  name: "tTextarea"
}, ce = /* @__PURE__ */ Object.assign(oe, {
  props: {
    modelValue: String,
    rows: {
      type: Number,
      default: 4
    },
    cols: {
      type: Number,
      default: 50
    },
    resize: {
      type: Boolean,
      default: !0
    },
    disabled: Boolean,
    readonly: Boolean,
    placeholder: String,
    maxlength: Number
  },
  emits: ["update:modelValue", "focus", "blur"],
  setup(e, { emit: a }) {
    const t = e, l = f(0), o = (n) => {
      l.value = n.target.value.length, l.value > t.maxlength && (l.value = t.maxlength), console.log(n.target.value), a("update:modelValue", n.target.value);
    }, i = $(() => ({
      "t-textarea": !0,
      "t-textarea-disabled": t.disabled
    })), p = $(() => ({
      resize: t.resize ? "auto" : "none"
    })), c = (n) => {
      a("focus", n.target.value);
    }, u = (n) => {
      a("blur", n);
    };
    return (n, s) => (r(), _("div", {
      class: h(b(i))
    }, [
      d("textarea", {
        name: "",
        id: "",
        cols: e.cols,
        rows: e.rows,
        value: e.modelValue,
        onInput: o,
        disabled: e.disabled,
        readonly: e.readonly,
        placeholder: e.placeholder,
        onFocus: c,
        onBlur: u,
        maxlength: e.maxlength,
        style: A(b(p))
      }, null, 44, le),
      d("div", se, m(l.value) + "/" + m(e.maxlength), 1)
    ], 2));
  }
}), k = /* @__PURE__ */ v(ce, [["__scopeId", "data-v-67a6062d"]]);
k.install = (e) => {
  e.component(k.name, k);
};
const de = {
  name: "tSpace"
}, g = (e) => (D("data-v-c4e0631c"), e = e(), R(), e), ie = { class: "t-space" }, ue = /* @__PURE__ */ g(() => /* @__PURE__ */ d("span", null, "1", -1)), re = /* @__PURE__ */ g(() => /* @__PURE__ */ d("span", null, "1", -1)), _e = /* @__PURE__ */ g(() => /* @__PURE__ */ d("span", null, "1", -1)), pe = /* @__PURE__ */ g(() => /* @__PURE__ */ d("span", null, "1", -1)), fe = /* @__PURE__ */ g(() => /* @__PURE__ */ d("span", null, "1", -1)), ve = /* @__PURE__ */ g(() => /* @__PURE__ */ d("span", null, "1", -1)), he = [
  ue,
  re,
  _e,
  pe,
  fe,
  ve
];
function me(e, a, t, l, o, i) {
  return r(), _("div", ie, he);
}
const C = /* @__PURE__ */ v(de, [["render", me], ["__scopeId", "data-v-c4e0631c"]]);
C.install = (e) => {
  e.component(C.name, C);
};
const be = { class: "t-select" }, ge = ["value", "disabled"], ye = {
  key: 0,
  class: "t-position-box"
}, xe = ["onClick"], $e = {
  name: "tSelect"
}, Se = /* @__PURE__ */ Object.assign($e, {
  props: {
    options: {
      type: Array,
      default: () => []
    },
    disabled: Boolean,
    filedLabel: {
      type: String,
      default: "label"
    },
    filedValue: {
      type: String,
      default: "value"
    },
    placeholder: String,
    modelValue: String
  },
  emits: ["change", "update:modelValue"],
  setup(e, { emit: a }) {
    const t = e, l = f(!1), o = f(t.modelValue), i = f(-1), p = {
      beforeMount(u) {
        let n = (s) => {
          t.disabled || (u.contains(s.target) && s.target.className.indexOf("item-li") == -1 ? l.value = !0 : s.target.className.indexOf("item-disabled-li") == -1 && (l.value = !1));
        };
        document.addEventListener("click", n);
      }
    }, c = (u, n) => {
      u.disabled || (i.value = n, o.value = u[t.filedLabel], l.value = !1, a("change", u), a("update:modelValue", u[t.filedLabel]));
    };
    return (u, n) => z((r(), _("div", be, [
      d("input", {
        type: "text",
        readonly: "",
        value: o.value,
        disabled: e.disabled
      }, null, 8, ge),
      L(F, { name: "fade" }, {
        default: E(() => [
          l.value ? (r(), _("div", ye, [
            (r(!0), _(w, null, N(e.options, (s, y) => (r(), _("li", {
              key: y,
              onClick: (T) => c(s, y),
              class: h([{
                "item-disabled-li": s.disabled,
                "item-active-li": i.value === y
              }, "item-li"])
            }, m(s[e.filedLabel]), 11, xe))), 128))
          ])) : P("", !0)
        ]),
        _: 1
      })
    ])), [
      [p]
    ]);
  }
}), V = /* @__PURE__ */ v(Se, [["__scopeId", "data-v-1fe6ce6a"]]);
V.install = (e) => {
  e.component(V.name, V);
};
const ke = { class: "t-radio" }, Ce = ["onClick"], Ve = {
  name: "tRadio"
}, Ie = /* @__PURE__ */ Object.assign(Ve, {
  props: {
    options: {
      type: Array,
      default: () => []
    },
    inline: {
      type: Boolean,
      default: !0
    },
    filedLabel: {
      type: String,
      default: "label"
    },
    filedValue: {
      type: String,
      default: "value"
    },
    customColor: {
      type: String,
      default: "#409EFF"
    }
  },
  emits: "change",
  setup(e, { emit: a }) {
    const t = e;
    U((p) => ({
      "383acb2a": i.value,
      "09634dec": t.customColor
    }));
    const l = f(-1), o = (p, c) => {
      p.disabled || (l.value = c, a("change", p));
    }, i = f("inline-flex");
    return t.inline ? i.value = "inline-flex" : i.value = "flex", (p, c) => (r(), _("div", ke, [
      (r(!0), _(w, null, N(e.options, (u, n) => (r(), _("div", {
        class: h(["t-item-radio", { "t-item-disabled-radio": u.disabled }]),
        key: n,
        onClick: (s) => o(u, n)
      }, [
        d("span", {
          class: h({ active: l.value === n })
        }, null, 2),
        j(m(u[e.filedLabel]), 1)
      ], 10, Ce))), 128))
    ]));
  }
}), I = /* @__PURE__ */ v(Ie, [["__scopeId", "data-v-5e980ba2"]]);
I.install = (e) => {
  e.component(I.name, I);
};
const Oe = { class: "t-tree" }, Be = ["onClick"], Le = { key: 0 }, we = {
  name: "tTree"
}, Ne = /* @__PURE__ */ Object.assign(we, {
  props: {
    options: {
      type: Array,
      default: () => []
    }
  },
  setup(e) {
    const t = f(e.options);
    f(!1);
    const l = (o) => {
      o.isOpened = !o.isOpened;
    };
    return (o, i) => {
      const p = q("t-tree");
      return r(), _("div", Oe, [
        (r(!0), _(w, null, N(t.value, (c, u) => (r(), _("li", {
          key: u,
          onClick: G((n) => l(c), ["stop"])
        }, [
          j(m(c.label) + " ", 1),
          L(F, { name: "slide-fade" }, {
            default: E(() => [
              c.children && c.children.length ? z((r(), _("ul", Le, [
                L(p, {
                  options: c.children
                }, null, 8, ["options"])
              ], 512)), [
                [H, c.isOpened]
              ]) : P("", !0)
            ]),
            _: 2
          }, 1024)
        ], 8, Be))), 128))
      ]);
    };
  }
}), O = /* @__PURE__ */ v(Ne, [["__scopeId", "data-v-2d952ba3"]]);
O.install = (e) => {
  e.component(O.name, O);
};
const Te = ["multiple"], Ee = { class: "fileList-box" }, je = ["onClick"], Ae = {
  name: "tUpload"
}, De = /* @__PURE__ */ Object.assign(Ae, {
  props: {
    multiple: Boolean,
    label: {
      type: String,
      default: "\u9009\u62E9\u6587\u4EF6"
    },
    btnType: {
      type: String,
      default: "primary"
    }
  },
  emits: ["change"],
  setup(e, { emit: a }) {
    const t = J([]), l = f(null), o = f(null), i = f(!1), p = () => {
      l.value.click();
    }, c = (n) => {
      t.unshift(...n.target.files), a("change", t);
    }, u = (n) => {
      t.splice(n, 1);
    };
    return K(() => {
      let n = o.value;
      n.addEventListener(
        "drop",
        (s) => {
          s.stopPropagation(), s.preventDefault(), t.unshift(...s.dataTransfer.files), a("change", t), i.value = !1;
        },
        !1
      ), n.addEventListener("dragleave", (s) => {
        s.stopPropagation(), s.preventDefault(), i.value = !1;
      }), n.addEventListener("dragenter", (s) => {
        s.stopPropagation(), s.preventDefault(), i.value = !0;
      }), n.addEventListener("dragover", (s) => {
        s.stopPropagation(), s.preventDefault(), i.value = !0;
      });
    }), (n, s) => (r(), _("div", null, [
      d("input", {
        type: "file",
        class: "file-input",
        ref_key: "inpRef",
        ref: l,
        onChange: c,
        multiple: e.multiple
      }, null, 40, Te),
      L(b(x), {
        onClick: p,
        type: e.btnType
      }, {
        default: E(() => [
          j(m(e.label), 1)
        ]),
        _: 1
      }, 8, ["type"]),
      d("div", Ee, [
        (r(!0), _(w, null, N(t, (y, T) => (r(), _("li", { key: T }, [
          d("span", null, m(y.name), 1),
          d("span", {
            class: "delete-span",
            onClick: (Fe) => u(T)
          }, "\u5220\u9664", 8, je)
        ]))), 128))
      ]),
      d("div", {
        class: h(["area-box", { activeArea: i.value }]),
        ref_key: "areaRef",
        ref: o
      }, null, 2)
    ]));
  }
}), B = /* @__PURE__ */ v(De, [["__scopeId", "data-v-5e6e3af5"]]);
B.install = (e) => {
  e.component(B.name, B);
};
const Re = [x, S, k, C, V, I, O, B], ze = (e) => {
  Re.forEach((a) => {
    e.use(a);
  });
}, Me = {
  install: ze
};
export {
  Me as default,
  x as tButton,
  S as tInput,
  I as tRadio,
  V as tSelect,
  C as tSpace,
  k as tTextarea,
  O as tTree,
  B as tUpload
};
